<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: infusion_db.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined('IN_FUSION') || exit;

use PHPFusion\Admins;

// Admin Settings
Admins::getInstance()->setAdminPageIcons("REGU", "<i class='admin-ico fa fa-fw fa-commenting'></i>");

// Locales
define('REGU_LOCALE', fusion_get_inf_locale_path('regulation.php', INFUSIONS.'regulation/locale/'));
// Database
const DB_REGULATION = DB_PREFIX."regulation";

const REGULATION_PATH = INFUSIONS.'regulation/';
const IMAGES_R = INFUSIONS.'regulation/images/';

Admins::getInstance()->setFolderPermissions('regulation', [
    'infusions/regulation/images/' => TRUE
]);

Admins::getInstance()->setCustomFolder('REGU', [
    [
        'path'  => DB_REGULATION.'images/',
        'URL'   => fusion_get_settings('siteurl').'infusions/regulation/images/',
        'alias' => 'regulation_images'
    ]
]);
