<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: regulation.tpl.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined('IN_FUSION') || exit;

if (!function_exists('render_regulation')) {
    function render_regulation($info) {
        $locale = fusion_get_locale("", REGU_LOCALE);
		opentable($locale['REGU_05']);
			if (!empty($info['content'])) {
				echo "<div class='panel panel-default'>\n";
				echo "<div class='panel-body'>\n";
					foreach ($info['content'] as $data) {
						echo "<div class='col-xs-12 col-sm-12'>";
						    echo "<h4 class='panel-title text-center'><b>".$data['r_title']."</b></h4>\n";
            		        echo "<div class='text-dark m-t-20 m-b-20'>".parse_textarea($data['r_description'], TRUE, TRUE, TRUE, FALSE, TRUE)."</div>";
						    echo "<div class='panel-footer text-center'>".sprintf($locale['REGU_19'], showdate('longdate', $data['r_date']))."</div>";
						echo "</div>\n";
					}
				echo "</div>\n";
				echo "</div>\n";
			}
			echo $info['row'];
		closetable();
	}
}
