<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: regulation_rewrite_include.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined('IN_FUSION') || exit;


$regex = [
    "%regulation_id%" => "([0-9]+)"
];

$pattern = [
    "regulation"                          => "infusions/regulation/regulation.php",
    "regulation/category/%regulation_id%" => "infusions/regulation/regulation.php?cat_id=%regulation_id%"
];

$pattern_tables["%regulation_id%"] = [
    "table"       => DB_REGULATION,
    "primary_key" => "r_id",
    "id"          => ["%r_id%" => "regulation_id"],
    "columns"     => []
];
