<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) PHP-Fusion Inc
| https://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: regulation.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once __DIR__.'/../../maincore.php';

if (!defined('REGULATION_EXISTS')) {
    redirect(BASEDIR."error.php?code=404");
}

require_once THEMES."templates/header.php";

require_once REGULATION_PATH.'templates/regulation.tpl.php';

$locale = fusion_get_locale("", REGU_LOCALE);

$result = dbquery("SELECT * FROM ".DB_REGULATION.(multilang_table("REGU") ? ' WHERE '.in_group('r_language', LANGUAGE) : '')." ORDER BY r_date DESC");
$rows = dbrows($result);
$info = [
    'row'   => $rows > 0 ? '' : "<div class='alert alert-danger text-center well'>".$locale['REGU_18']."</div>\n"
];

if ($rows) {
	while ($data = dbarray($result)) {
		$info['content'][] = $data;
	}
}
render_regulation($info);

require_once THEMES."templates/footer.php";
